//a simple line animated with length determined by mouse y
//setup our variables
int xmove = 0;
int gogo = 0;
float color_r = 54;

//setup the screen and styles and frame rate
void setup(){
  size(400, 400);
  background(56, 90, 94);
  smooth();
  strokeWeight(12);
  frameRate(20);
}

//change the value of the red channel of the background color randomly every time you click
void mousePressed(){
  //the random number will be between 0-255
  color_r = random(255);
}

//redraw the screen according to the framerate
void draw(){
//these if statements are the switch for back and forth motion
  if(gogo == 0){
    //draw a new background that is partially transparent to get the motion trail effect
    fill(color_r, 90, 94, 20);
    noStroke();
    rect(0,0,width, height);
    //set the stroke color and make it more transparent as x decreases 
    stroke(242, 204, 47, xmove/2);
    //draw a line
    line(xmove, 200, xmove, mouseY);
    //increment xmove
    xmove += 20;
    //if it hits the side of the screen, reverse directions
    if(xmove >= width){
      gogo = 1;
    }
  }
  
  //same as above, just in the other direction by decrementing xmove
  else if(gogo == 1){
    fill(color_r, 90, 94, 20);
    noStroke();
    rect(0,0,width, height);
    stroke(242, 204, 47, xmove);
    line(xmove, 200, xmove, mouseY);
    xmove -= 20;
    if(xmove <= 0){
      gogo = 0;
    }
  }
}
