//this animation draws y = x^n equations

//setup the screen
void setup(){
  size (400, 400);
  frameRate(20);
  background(255);
}

//redraw the screen
void draw(){
  //create a random number from 1-5
  float rand = random(1, 5);
  //make a semi transparent rectangle the size of the stage for a fade effect
  fill(255, 20);
  rect(0,0,width, height);
  //plug values into the exponential equation by iterating x
  for (int x = 0; x < 400; x++) {
    // make x range from 0.0 to 1.0
    float n = norm(x, 0.0, 400.0); 
    //calculate n to the random number power
    float y = pow(n, rand); 
    //turn y back into a screen size coordinate
    y *= 400; 
    //draw a point
    point(x, y);
    //reverse the x and y to draw a second set of curves mirroring the first
    point(y, x);
  }
}
